kind: Application
apiVersion: argoproj.io/v1alpha1
metadata:
  name: cluster-workspace-project
  labels:
    app.kubernetes.io/name: "startx-cluster-workspace-project-application"
    app.kubernetes.io/component: "cluster-workspaces"
  annotations: &basic_annotations
    openshift.io/generated-by: sxcm
    # argocd.argoproj.io/manifest-generate-paths: .
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    namespace: "openshift-workspaces"
    server: 'https://kubernetes.default.svc'
  info:
    - name: teammail
      value: dev@startx.fr
  project: cluster-admin
  source:
    path: charts/project/
    repoURL: 'https://github.com/startxfr/helm-repository.git'
    targetRevision: devel
    helm:
      releaseName: startx-workspace-project
  syncPolicy:
    automated:
      prune: true
      selfHeal: false
    syncOptions:
      - ApplyOutOfSyncOnly=true
      - CreateNamespace=false
      - Validate=true
    retry:
      limit: 5
      backoff:
        duration: 5s
        factor: 2
        maxDuration: 30s